from cuchulu.libraries.config_admin import config_admin
from cuchulu.libraries.i18n import I18n, PGetText

#modules_admin=[[I18n.lang('admin', 'users_admin', 'User\'s Admin'), 'paramecio.modules.admin.admin.ausers', 'ausers']]

pgettext=PGetText(__file__+'/../')
_=pgettext.gettext

def users_text():
    
    return _('Backend Users')

def users_edit():
    
    return _('Backend users edit')

config_admin.append([users_text])

config_admin.append([users_edit, 'cuchulu.modules.admin.admin.ausers', 'admin_app.ausers', '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 640" width="24" style="fill: currentColor;display: inline-block;vertical-align: -.130em;position:relative;left:-6px;top:2px;"><!--!Font Awesome Free v7.0.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2025 Fonticons, Inc.--><path d="M320 312C386.3 312 440 258.3 440 192C440 125.7 386.3 72 320 72C253.7 72 200 125.7 200 192C200 258.3 253.7 312 320 312zM290.3 368C191.8 368 112 447.8 112 546.3C112 562.7 125.3 576 141.7 576L498.3 576C514.7 576 528 562.7 528 546.3C528 447.8 448.2 368 349.7 368L290.3 368z"/></svg>'])

#config_admin.append([I18n.lang('admin', 'modules', 'Modules')])

#config_admin.append([I18n.lang('admin', 'edit_module', 'Edit modules'), 'cuchulu.modules.admin.admin.modules', 'admin_app.amodules', 'fa-dropbox'])
